pro BPD_convert,bp_x,bp_y,point_x,point_y
;
common BPD_common,xtype,xbroke,xmax,xmin,xscale,bp_x_offset,$
                  ytype,ybroke,ymax,ymin,yscale,bp_y_offset,rot_angle 
;
if (xtype eq 0) then begin
   if (xbroke eq 1) and (bp_x ge bp_x_offset(1)) then begin
      point_x=float((bp_x-bp_x_offset(1))*cos(rot_angle(1))+$
              (bp_y-bp_y_offset(1))*sin(rot_angle(1)))*xscale(1)+xmin(1)
   endif else begin
      point_x=float((bp_x-bp_x_offset(0))*cos(rot_angle(0))+$
              (bp_y-bp_y_offset(0))*sin(rot_angle(0)))*xscale(0)+xmin(0)
   endelse
endif else begin
   if (xbroke eq 1) and (bp_x ge bp_x_offset(1)) then begin
      point_x=10^(float((bp_x-bp_x_offset(1))*cos(rot_angle(1))+$
                 (bp_y-bp_y_offset(1))*sin(rot_angle(1)))*xscale(1)+xmin(1))
   endif else begin
      point_x=10^(float((bp_x-bp_x_offset(0))*cos(rot_angle(0))+$
                 (bp_y-bp_y_offset(0))*sin(rot_angle(0)))*xscale(0)+xmin(0))
   endelse
endelse
if (ytype eq 0) then begin
   if (ybroke eq 1) and (bp_y ge bp_y_offset(1)) then begin
      point_y=float(-1*(bp_x-bp_x_offset(1))*sin(rot_angle(1))+$
                 (bp_y-bp_y_offset(1))*cos(rot_angle(1)))*yscale(1)+ymin(1)
   endif else begin
      point_y=float(-1*(bp_x-bp_x_offset(0))*sin(rot_angle(0))+$
                 (bp_y-bp_y_offset(0))*cos(rot_angle(0)))*yscale(0)+ymin(0)
   endelse
endif else begin
   if (ybroke eq 1) and (bp_y ge bp_y_offset(1)) then begin
      point_y=10^(float(-1*(bp_x-bp_x_offset(1))*sin(rot_angle(1))+$
                 (bp_y-bp_y_offset(1))*cos(rot_angle(1)))*yscale(1)+ymin(1))
   endif else begin
      point_y=10^(float(-1*(bp_x-bp_x_offset(0))*sin(rot_angle(0))+$
                 (bp_y-bp_y_offset(0))*cos(rot_angle(0)))*yscale(0)+ymin(0))
   endelse
endelse       
;
return
end

