;+
; NAME:
;	LAST
; PURPOSE:
;	Returns last element of an array.
; CALLING SEQUENCE:
;	Result = LAST(X)
; INPUTS:
;	X = Any scalar or array
; OUTPUTS:
;	Result = Last element of X.
; PROCEDURE:
;	Trivial.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 13 Jan 1992: Written in IDL2.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;-

function last, x

on_error, 2
return, x(n_elements(x)-1)

end
