;+
; NAME:
;	MEAN
; PURPOSE:
;	Returns the mean of the given arguments.
; CALLING SEQUENCE:
;	Result = MEAN(X)
; INPUTS:
;	X = numeric array.
; OUTPUTS:
;	Result = Float scalar. Mean of X.
; RESTRICTIONS:
;	1-d for now.
; MODIFICATION HISTORY:
;	R. Sterner,  JHU-APL,  11 Dec, 1984.
;	IFG, HIA/NRCC, 6 Feb, 1991:  No changes needed for IDL2.
;	IFG, 5 Jan 1993: Added ON_ERROR.
;-

	FUNCTION MEAN,X
	ON_ERROR, 2
	RETURN, TOTAL(X)/N_ELEMENTS(X)
	END
